Skip to main content
`Ctrl`+`K`
scipy.optimize.

# RootResults

class scipy.optimize.RootResults(root, iterations, function_calls, flag, method)

  Represents the root finding result.

  Attributes:
    root float

      Estimated root location.

    iterations int

      Number of iterations needed to find the root.

    function_calls int

      Number of times the function was called.

    converged bool

      True if the routine converged.

    flag str

      Description of the cause of termination.

    method str

      Root finding method used.

  Methods

  `__getitem__`(key, /) | Return self[key].
  `__len__`(/) | Return len(self).
  `clear`(/) | Remove all items from the dict.
  `copy`(/) | Return a shallow copy of the dict.
  `fromkeys`(iterable[, value]) | Create a new dictionary with keys from iterable and values set to value.
  `get`(key[, default]) | Return the value for key if key is in the dictionary, else default.
  `items`(/) | Return a set-like object providing a view on the dict's items.
  `keys`(/) | Return a set-like object providing a view on the dict's keys.
  `pop`(key[, default]) | If the key is not found, return the default if given; otherwise, raise a KeyError.
  `popitem`(/) | Remove and return a (key, value) pair as a 2-tuple.
  `setdefault`(key[, default]) | Insert key with a value of default if key is not in the dictionary.
  `update`([E, ]**F) | If E is present and has a .keys() method, then does: for k in E.keys(): D[k] = E[k] If E is present and lacks a .keys() method, then does: for k, v in E: D[k] = v In either case, this is followed by: for k in F: D[k] = F[k]
  `values`(/) | Return an object providing a view on the dict's values.